﻿<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="text" />
<xsl:output omit-xml-declaration="yes" />
<xsl:output encoding="utf-8" />

  <xsl:template match="/">
    <xsl:apply-templates select="tour"/>
  </xsl:template>

  <xsl:template match="tour">
	<xsl:if test="variables/headerheight">
	<xsl:text disable-output-escaping="yes">&amp;headerh=</xsl:text>
	<xsl:value-of select="normalize-space(variables/headerheight)" />
	<xsl:text disable-output-escaping="yes">&amp;</xsl:text><xsl:text>
</xsl:text>
	</xsl:if>

	<xsl:if test="variables/headerimage">
	<xsl:text disable-output-escaping="yes">&amp;headerimage=</xsl:text>
	<xsl:value-of select="normalize-space(variables/headerimage)" />
	<xsl:text disable-output-escaping="yes">&amp;</xsl:text><xsl:text>
</xsl:text>
	</xsl:if>

	<xsl:if test="variables/footerheight">
	<xsl:text disable-output-escaping="yes">&amp;footerh=</xsl:text>
	<xsl:value-of select="normalize-space(variables/footerheight)" />
	<xsl:text disable-output-escaping="yes">&amp;</xsl:text><xsl:text>
</xsl:text>
	</xsl:if>

	<xsl:if test="variables/buffer">
	<xsl:text disable-output-escaping="yes">&amp;buffer=</xsl:text>
	<xsl:value-of select="normalize-space(variables/buffer)" />
	<xsl:text disable-output-escaping="yes">&amp;</xsl:text><xsl:text>
</xsl:text>
	</xsl:if>
        
	<xsl:if test="variables/imagedir">
	<xsl:text disable-output-escaping="yes">&amp;imagedir=</xsl:text>
	<xsl:value-of select="normalize-space(variables/imagedir)" />
	<xsl:text disable-output-escaping="yes">&amp;</xsl:text><xsl:text>
</xsl:text>
	</xsl:if>

	<xsl:if test="variables/voiceovers">
	<xsl:text disable-output-escaping="yes">&amp;voiceovers=</xsl:text>
	<xsl:value-of select="normalize-space(variables/voiceovers)" />
	<xsl:text disable-output-escaping="yes">&amp;</xsl:text><xsl:text>
</xsl:text>
	</xsl:if>

	<xsl:if test="variables/voicedir">
	<xsl:text disable-output-escaping="yes">&amp;voicedir=</xsl:text>
	<xsl:value-of select="normalize-space(variables/voicedir)" />
	<xsl:text disable-output-escaping="yes">&amp;</xsl:text><xsl:text>
</xsl:text>
	</xsl:if>

	<xsl:if test="slidedefaults/ddisplayfor">
	<xsl:text disable-output-escaping="yes">&amp;defaultDisplayFor=</xsl:text>
	<xsl:value-of select="normalize-space(slidedefaults/ddisplayfor)" />
	<xsl:text disable-output-escaping="yes">&amp;</xsl:text><xsl:text>
</xsl:text>
	</xsl:if>

	<xsl:if test="slidedefaults/dfadein">
	<xsl:text disable-output-escaping="yes">&amp;defaultFadeIn=</xsl:text>
	<xsl:value-of select="normalize-space(slidedefaults/dfadein)" />
	<xsl:text disable-output-escaping="yes">&amp;</xsl:text><xsl:text>
</xsl:text>
	</xsl:if>

	<xsl:if test="slidedefaults/dfadeout">
	<xsl:text disable-output-escaping="yes">&amp;defaultFadeOut=</xsl:text>
	<xsl:value-of select="normalize-space(slidedefaults/dfadeout)" />
	<xsl:text disable-output-escaping="yes">&amp;</xsl:text><xsl:text>
</xsl:text>
	</xsl:if>

	<xsl:if test="slidedefaults/dtemplate">
	<xsl:text disable-output-escaping="yes">&amp;defaultTemplate=</xsl:text>
	<xsl:value-of select="normalize-space(slidedefaults/dtemplate)" />
	<xsl:text disable-output-escaping="yes">&amp;</xsl:text><xsl:text>
</xsl:text>
	</xsl:if>

	<xsl:if test="slidedefaults/dhalign">
	<xsl:text disable-output-escaping="yes">&amp;defaultha=</xsl:text>
	<xsl:value-of select="normalize-space(slidedefaults/dhalign)" />
	<xsl:text disable-output-escaping="yes">&amp;</xsl:text><xsl:text>
</xsl:text>
	</xsl:if>

	<xsl:if test="slidedefaults/dvalign">
	<xsl:text disable-output-escaping="yes">&amp;defaultva=</xsl:text>
	<xsl:value-of select="normalize-space(slidedefaults/dvalign)" />
	<xsl:text disable-output-escaping="yes">&amp;</xsl:text><xsl:text>
</xsl:text>
	</xsl:if>

	<xsl:if test="slidedefaults/dtextbold">
	<xsl:text disable-output-escaping="yes">&amp;defaulttextbold=</xsl:text>
	<xsl:value-of select="normalize-space(slidedefaults/dtextbold)" />
	<xsl:text disable-output-escaping="yes">&amp;</xsl:text><xsl:text>
</xsl:text>
	</xsl:if>

	<xsl:if test="slidedefaults/dtextsize">
	<xsl:text disable-output-escaping="yes">&amp;defaulttextsize=</xsl:text>
	<xsl:value-of select="normalize-space(slidedefaults/dtextsize)" />
	<xsl:text disable-output-escaping="yes">&amp;</xsl:text><xsl:text>
</xsl:text>
	</xsl:if>

	<xsl:if test="slidedefaults/dfont">
	<xsl:text disable-output-escaping="yes">&amp;defaultfont=</xsl:text>
	<xsl:value-of select="normalize-space(slidedefaults/dfont)" />
	<xsl:text disable-output-escaping="yes">&amp;</xsl:text><xsl:text>
</xsl:text>
	</xsl:if>

	<xsl:if test="slidedefaults/dtextcolor">
	<xsl:text disable-output-escaping="yes">&amp;defaulttextcolor=0x</xsl:text>
	<xsl:value-of select="normalize-space(slidedefaults/dtextcolor)" />
	<xsl:text disable-output-escaping="yes">&amp;</xsl:text><xsl:text>

</xsl:text>
	</xsl:if>

	<xsl:for-each select="slide">

 	<xsl:text disable-output-escaping="yes">&amp;image</xsl:text>
	<xsl:value-of select="position()"/>
	<xsl:text>=</xsl:text>
	<xsl:value-of select="normalize-space(image/file)" disable-output-escaping="yes"/>
	<xsl:text disable-output-escaping="yes">&amp;</xsl:text><xsl:text>
</xsl:text>

	<xsl:if test="movie">
	<xsl:text disable-output-escaping="yes">&amp;movie</xsl:text>
	<xsl:value-of select="position()"/>
	<xsl:text>=</xsl:text>
	<xsl:value-of select="normalize-space(movie)" disable-output-escaping="yes"/>
	<xsl:text disable-output-escaping="yes">&amp;</xsl:text><xsl:text>
</xsl:text>
	</xsl:if>

	<xsl:if test="displayfor">
	<xsl:text disable-output-escaping="yes">&amp;img</xsl:text>
	<xsl:value-of select="position()"/>
	<xsl:text>displayFor=</xsl:text>
	<xsl:value-of select="normalize-space(displayfor)" disable-output-escaping="yes"/>
	<xsl:text disable-output-escaping="yes">&amp;</xsl:text><xsl:text>
</xsl:text>
	</xsl:if>

	<xsl:if test="fadein">
 	<xsl:text disable-output-escaping="yes">&amp;img</xsl:text>
	<xsl:value-of select="position()"/>
	<xsl:text>fadeInTime=</xsl:text>
	<xsl:value-of select="normalize-space(fadein)" disable-output-escaping="yes"/>
	<xsl:text disable-output-escaping="yes">&amp;</xsl:text><xsl:text>
</xsl:text>
	</xsl:if>

	<xsl:if test="fadeout">
 	<xsl:text disable-output-escaping="yes">&amp;img</xsl:text>
	<xsl:value-of select="position()"/>
	<xsl:text>fadeOutTime=</xsl:text>
	<xsl:value-of select="normalize-space(fadeout)" disable-output-escaping="yes"/>
	<xsl:text disable-output-escaping="yes">&amp;</xsl:text><xsl:text>
</xsl:text>
	</xsl:if>

	<xsl:if test="template">
 	<xsl:text disable-output-escaping="yes">&amp;template</xsl:text>
	<xsl:value-of select="position()"/>
	<xsl:text>=</xsl:text>
	<xsl:value-of select="normalize-space(template)" disable-output-escaping="yes"/>
	<xsl:text disable-output-escaping="yes">&amp;</xsl:text><xsl:text>
</xsl:text>
	</xsl:if>

	<xsl:if test="halign">
 	<xsl:text disable-output-escaping="yes">&amp;img</xsl:text>
	<xsl:value-of select="position()"/>
	<xsl:text>ha=</xsl:text>
	<xsl:value-of select="normalize-space(halign)" disable-output-escaping="yes"/>
	<xsl:text disable-output-escaping="yes">&amp;</xsl:text><xsl:text>
</xsl:text>
	</xsl:if>

	<xsl:if test="valign">
 	<xsl:text disable-output-escaping="yes">&amp;img</xsl:text>
	<xsl:value-of select="position()"/>
	<xsl:text>va=</xsl:text>
	<xsl:value-of select="normalize-space(valign)" disable-output-escaping="yes"/>
	<xsl:text disable-output-escaping="yes">&amp;</xsl:text><xsl:text>
</xsl:text>
	</xsl:if>

	<xsl:if test="fonttag">
 	<xsl:text disable-output-escaping="yes">&amp;fonttag</xsl:text>
	<xsl:value-of select="position()"/>
	<xsl:text>=</xsl:text>
	<xsl:value-of select="normalize-space(fonttag)" disable-output-escaping="yes"/>
	<xsl:text disable-output-escaping="yes">&amp;</xsl:text><xsl:text>
</xsl:text>
	</xsl:if>

	<xsl:if test="font">
	<xsl:text disable-output-escaping="yes">&amp;font</xsl:text>
	<xsl:value-of select="position()"/>
	<xsl:text>=</xsl:text>
	<xsl:value-of select="normalize-space(font)" disable-output-escaping="yes"/>
	<xsl:text disable-output-escaping="yes">&amp;</xsl:text><xsl:text>
</xsl:text>
	</xsl:if>

	<xsl:if test="textsize">
	<xsl:text disable-output-escaping="yes">&amp;textsize</xsl:text>
	<xsl:value-of select="position()"/>
	<xsl:text>=</xsl:text>
	<xsl:value-of select="normalize-space(textsize)" disable-output-escaping="yes"/>
	<xsl:text disable-output-escaping="yes">&amp;</xsl:text><xsl:text>
</xsl:text>
	</xsl:if>

	<xsl:if test="voice">
	<xsl:text disable-output-escaping="yes">&amp;voice</xsl:text>
	<xsl:value-of select="position()"/>
	<xsl:text>=</xsl:text>
	<xsl:value-of select="normalize-space(voice)" disable-output-escaping="yes"/>
	<xsl:text disable-output-escaping="yes">&amp;</xsl:text><xsl:text>

</xsl:text>
	</xsl:if>

	</xsl:for-each>

	<xsl:text disable-output-escaping="yes">&amp;eof=1&amp;</xsl:text>
  </xsl:template>
</xsl:stylesheet>





